package com.cloudcross.ssp.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.model.Place;
import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.common.utils.Pager1;

public interface IPlaceService extends IGenericService<Place> {
	
	/**
	 * 从数据库中，找到所有的领数子场景
	 * @return
	 */
	List<Place> findPlace();
	
	public List<Place> findAll();
	
	/**
	 * 查找未分类的领数子场景
	 * @return
	 */
	List<Place> findUnclassfiedPlace(Pager1 pager);
	
	/**
	 * 查找未分类子场景个数
	 * @return
	 */
	int countUnclassfiedPlace();
	
	/**
	 * 根据领数场景id得到对应的领数子场景
	 * @param placeClassId
	 * @return
	 */
	List<Place> findPlaceByPlaceClassId(Long placeClassId);
	
	List<String>queryPlaceNameByClassId(Long classId);
	
	public Integer queryPlaceCount();
	
	public List<Place> queryPlace(Map<String,Object>condition);
	
}
